profiler_algos.h File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_profile

## Functions

template<typename _InputIterator , typename _Function >
_Function | __gnu_profile::__for_each (_InputIterator __first, _InputIterator __last, _Function __f)
template<typename _Container >
void | __gnu_profile::__insert_top_n (_Container &__output, const typename _Container::value_type &__value, typename _Container::size_type __n)
template<typename _ForwardIterator , typename _Tp >
_ForwardIterator | __gnu_profile::__remove (_ForwardIterator __first, _ForwardIterator __last, const _Tp &__value)
template<typename _Container >
void | __gnu_profile::__top_n (const _Container &__input, _Container &__output, typename _Container::size_type __n)

## Detailed Description

Algorithms used by the profile extension.

This file is needed to avoid including <algorithm> or <bits/stl_algo.h>. Including those files would result in recursive includes. These implementations are oversimplified. In general, efficiency may be sacrificed to minimize maintenance overhead.

Definition in file profiler_algos.h.